diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/test.cc ns-3.46/src/core/model/test.cc
--- ns-3.45/src/core/model/test.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/model/test.cc	2025-10-01 18:46:32.000000000 -0700
@@ -224,12 +224,12 @@
      *
      * @param [in] testName Include a specific test by name.
      * @param [in] testType Include all tests of give type.
-     * @param [in] maximumTestDuration Restrict to tests shorter than this.
+     * @param [in] filteredTestDuration Restrict tests that match these durations.
      * @returns The list of tests matching the filter constraints.
      */
     std::list<TestCase*> FilterTests(std::string testName,
                                      TestSuite::Type testType,
-                                     TestCase::Duration maximumTestDuration);
+                                     std::vector<TestCase::Duration> filteredTestDuration);
 
     /** Container type for the test. */
     typedef std::vector<TestSuite*> TestSuiteVector;
@@ -752,33 +752,39 @@
         << "Usage: " << program_name << " [OPTIONS]" << std::endl
         << std::endl
         << "Options: " << std::endl
-        << "  --help                 : print these options" << std::endl
-        << "  --print-test-name-list : print the list of names of tests available" << std::endl
-        << "  --list                 : an alias for --print-test-name-list" << std::endl
-        << "  --print-test-types     : print the type of tests along with their names" << std::endl
-        << "  --print-test-type-list : print the list of types of tests available" << std::endl
-        << "  --print-temp-dir       : print name of temporary directory before running "
+        << "  --help                   : print these options" << std::endl
+        << "  --print-test-name-list   : print the list of names of tests available" << std::endl
+        << "  --list                   : an alias for --print-test-name-list" << std::endl
+        << "  --print-test-types       : print the type of tests along with their names"
         << std::endl
-        << "                           the tests" << std::endl
-        << "  --test-type=TYPE       : process only tests of type TYPE" << std::endl
-        << "  --test-name=NAME       : process only test whose name matches NAME" << std::endl
-        << "  --suite=NAME           : an alias (here for compatibility reasons only) " << std::endl
-        << "                           for --test-name=NAME" << std::endl
-        << "  --assert-on-failure    : when a test fails, crash immediately (useful" << std::endl
-        << "                           when running under a debugger" << std::endl
-        << "  --stop-on-failure      : when a test fails, stop immediately" << std::endl
-        << "  --fullness=FULLNESS    : choose the duration of tests to run: QUICK, " << std::endl
-        << "                           EXTENSIVE, or TAKES_FOREVER, where EXTENSIVE " << std::endl
-        << "                           includes QUICK and TAKES_FOREVER includes " << std::endl
-        << "                           QUICK and EXTENSIVE (only QUICK tests are " << std::endl
-        << "                           run by default)" << std::endl
-        << "  --verbose              : print details of test execution" << std::endl
-        << "  --xml                  : format test run output as xml" << std::endl
-        << "  --tempdir=DIR          : set temp dir for tests to store output files" << std::endl
-        << "  --datadir=DIR          : set data dir for tests to read reference files" << std::endl
-        << "  --out=FILE             : send test result to FILE instead of standard output"
+        << "  --print-test-type-list   : print the list of types of tests available" << std::endl
+        << "  --print-temp-dir         : print name of temporary directory before running "
         << std::endl
-        << "  --append=FILE          : append test result to FILE instead of standard output"
+        << "                             the tests" << std::endl
+        << "  --test-type=TYPE         : process only tests of type TYPE" << std::endl
+        << "  --test-name=NAME         : process only test whose name matches NAME" << std::endl
+        << "  --suite=NAME             : an alias (here for compatibility reasons only) "
+        << std::endl
+        << "                             for --test-name=NAME" << std::endl
+        << "  --assert-on-failure      : when a test fails, crash immediately (useful" << std::endl
+        << "                             when running under a debugger" << std::endl
+        << "  --stop-on-failure        : when a test fails, stop immediately" << std::endl
+        << "  --fullness=FULLNESS      : choose the duration of tests to run: QUICK, " << std::endl
+        << "                             EXTENSIVE, or TAKES_FOREVER, where EXTENSIVE " << std::endl
+        << "                             includes QUICK and TAKES_FOREVER includes " << std::endl
+        << "                             QUICK and EXTENSIVE (only QUICK tests are " << std::endl
+        << "                             run by default)" << std::endl
+        << "  --only-fullness=FULLNESS : choose the duration of tests to run: QUICK, " << std::endl
+        << "                             EXTENSIVE, TAKES_FOREVER (only tests marked " << std::endl
+        << "                             with fullness will be executed)" << std::endl
+        << "  --verbose                : print details of test execution" << std::endl
+        << "  --xml                    : format test run output as xml" << std::endl
+        << "  --tempdir=DIR            : set temp dir for tests to store output files" << std::endl
+        << "  --datadir=DIR            : set data dir for tests to read reference files"
+        << std::endl
+        << "  --out=FILE               : send test result to FILE instead of standard output"
+        << std::endl
+        << "  --append=FILE            : append test result to FILE instead of standard output"
         << std::endl;
 }
 
@@ -790,11 +796,11 @@
     NS_LOG_FUNCTION(this << &begin << &end << printTestType);
     std::map<TestSuite::Type, std::string> label;
 
-    label[TestSuite::Type::ALL] = "all          ";
-    label[TestSuite::Type::UNIT] = "unit         ";
-    label[TestSuite::Type::SYSTEM] = "system       ";
-    label[TestSuite::Type::EXAMPLE] = "example      ";
-    label[TestSuite::Type::PERFORMANCE] = "performance  ";
+    label[TestSuite::Type::ALL] = "all                  ";
+    label[TestSuite::Type::UNIT] = "unit                 ";
+    label[TestSuite::Type::SYSTEM] = "system               ";
+    label[TestSuite::Type::EXAMPLE] = "example-as-test      ";
+    label[TestSuite::Type::PERFORMANCE] = "performance          ";
 
     for (auto i = begin; i != end; ++i)
     {
@@ -812,22 +818,24 @@
 TestRunnerImpl::PrintTestTypeList() const
 {
     NS_LOG_FUNCTION(this);
-    std::cout << "  core:        Run all TestSuite-based tests (exclude examples)" << std::endl;
-    std::cout << "  example:     Examples (to see if example programs run successfully)"
-              << std::endl;
-    std::cout
-        << "  performance: Performance Tests (check to see if the system is as fast as expected)"
-        << std::endl;
-    std::cout << "  system:      System Tests (spans modules to check integration of modules)"
-              << std::endl;
-    std::cout << "  unit:        Unit Tests (within modules to check basic functionality)"
+    std::cout << "  core:            Run all TestSuite-based tests (exclude examples)" << std::endl
+              << "  example:         Examples (to see if example programs run successfully)"
+              << std::endl
+              << "  example-as-test: Examples (which are tested against reference outputs)"
+              << std::endl
+              << "  performance:     Performance Tests (check to see if the system is as fast as "
+                 "expected)"
+              << std::endl
+              << "  system:          System Tests (spans modules to check integration of modules)"
+              << std::endl
+              << "  unit:            Unit Tests (within modules to check basic functionality)"
               << std::endl;
 }
 
 std::list<TestCase*>
 TestRunnerImpl::FilterTests(std::string testName,
                             TestSuite::Type testType,
-                            TestCase::Duration maximumTestDuration)
+                            std::vector<TestCase::Duration> filteredTestDuration)
 {
     NS_LOG_FUNCTION(this << testName << testType);
     std::list<TestCase*> tests;
@@ -852,7 +860,10 @@
 
             // If this test case takes longer than the maximum test
             // duration that should be run, then don't run it.
-            if (testCase->m_duration > maximumTestDuration)
+            auto it = std::find(filteredTestDuration.begin(),
+                                filteredTestDuration.end(),
+                                testCase->m_duration);
+            if (it == filteredTestDuration.end())
             {
                 // Free this test case's memory.
                 delete *j;
@@ -882,13 +893,14 @@
     std::string testTypeString = "";
     std::string out = "";
     std::string fullness = "";
+    std::string onlyFullness = "";
     bool xml = false;
     bool append = false;
     bool printTempDir = false;
     bool printTestTypeList = false;
     bool printTestNameList = false;
     bool printTestTypeAndName = false;
-    TestCase::Duration maximumTestDuration = TestCase::Duration::QUICK;
+    std::vector<TestCase::Duration> filteredTestDuration{TestCase::Duration::QUICK};
     char* progname = argv[0];
 
     char** argi = argv;
@@ -962,15 +974,17 @@
             // Set the maximum test length allowed.
             if (fullness == "QUICK")
             {
-                maximumTestDuration = TestCase::Duration::QUICK;
+                filteredTestDuration = {TestCase::Duration::QUICK};
             }
             else if (fullness == "EXTENSIVE")
             {
-                maximumTestDuration = TestCase::Duration::EXTENSIVE;
+                filteredTestDuration = {TestCase::Duration::QUICK, TestCase::Duration::EXTENSIVE};
             }
             else if (fullness == "TAKES_FOREVER")
             {
-                maximumTestDuration = TestCase::Duration::TAKES_FOREVER;
+                filteredTestDuration = {TestCase::Duration::QUICK,
+                                        TestCase::Duration::EXTENSIVE,
+                                        TestCase::Duration::TAKES_FOREVER};
             }
             else
             {
@@ -979,6 +993,30 @@
                 return 3;
             }
         }
+        else if (arg.find("--only-fullness=") != std::string::npos)
+        {
+            onlyFullness = arg.substr(arg.find_first_of('=') + 1);
+
+            // Set the maximum test length allowed.
+            if (onlyFullness == "QUICK")
+            {
+                filteredTestDuration = {TestCase::Duration::QUICK};
+            }
+            else if (onlyFullness == "EXTENSIVE")
+            {
+                filteredTestDuration = {TestCase::Duration::EXTENSIVE};
+            }
+            else if (onlyFullness == "TAKES_FOREVER")
+            {
+                filteredTestDuration = {TestCase::Duration::TAKES_FOREVER};
+            }
+            else
+            {
+                // Wrong fullness option
+                PrintHelp(progname);
+                return 4;
+            }
+        }
         else
         {
             // Print the help if arg == "--help" or arg is an un-recognized command-line argument
@@ -1015,7 +1053,15 @@
         return 1;
     }
 
-    std::list<TestCase*> tests = FilterTests(testName, testType, maximumTestDuration);
+    if (!fullness.empty() && !onlyFullness.empty())
+    {
+        std::cout << "Invalid simultaneous use of '--fullness' and '--only-fullness'. "
+                  << "Use only one of them." << std::endl;
+        PrintHelp(progname);
+        return 5;
+    }
+
+    std::list<TestCase*> tests = FilterTests(testName, testType, filteredTestDuration);
 
     if (m_tempDir.empty())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/test.h ns-3.46/src/core/model/test.h
--- ns-3.45/src/core/model/test.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/model/test.h	2025-10-01 18:46:32.000000000 -0700
@@ -7,7 +7,6 @@
 #ifndef NS3_TEST_H
 #define NS3_TEST_H
 
-#include "deprecated.h"
 #include "system-wall-clock-ms.h"
 
 #include <fstream>
@@ -1058,22 +1057,6 @@
     };
 
     /**
-     * Deprecated test duration simple enums.
-     *
-     * Use the `TestCase::Duration` enum class symbols instead.
-     * @{
-     */
-    NS_DEPRECATED_3_42("Use Duration::QUICK instead")
-    static constexpr auto QUICK = Duration::QUICK;
-    NS_DEPRECATED_3_42("Use Duration::EXTENSIVE instead")
-    static constexpr auto EXTENSIVE = Duration::EXTENSIVE;
-    NS_DEPRECATED_3_42("Use Duration::TAKES_FOREVER instead")
-    static constexpr auto TAKES_FOREVER = Duration::TAKES_FOREVER;
-
-    using TestDuration NS_DEPRECATED_3_42("Use Duration instead") = Duration;
-    /**@}*/
-
-    /**
      *  Destructor
      */
     virtual ~TestCase();
@@ -1280,24 +1263,6 @@
     };
 
     /**
-     * Deprecated test type simple enums.
-     *
-     * Use the `TestSuite::Type` enum class symbols instead.
-     * @{
-     */
-    NS_DEPRECATED_3_42("Use Type::ALL instead")
-    static constexpr auto ALL = Type::ALL;
-    NS_DEPRECATED_3_42("Use Type::UNIT instead")
-    static constexpr auto UNIT = Type::UNIT;
-    NS_DEPRECATED_3_42("Use Type::SYSTEM instead")
-    static constexpr auto SYSTEM = Type::SYSTEM;
-    NS_DEPRECATED_3_42("Use Type::EXAMPLE instead")
-    static constexpr auto EXAMPLE = Type::EXAMPLE;
-    NS_DEPRECATED_3_42("Use Type::PERFORMANCE instead")
-    static constexpr auto PERFORMANCE = Type::PERFORMANCE;
-    /**@}*/
-
-    /**
      * @brief Construct a new test suite.
      *
      * @param [in] name The name of the test suite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/time.cc ns-3.46/src/core/model/time.cc
--- ns-3.45/src/core/model/time.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/model/time.cc	2025-10-01 18:46:32.000000000 -0700
@@ -181,7 +181,7 @@
         *this = Time::FromDouble(v, Time::S);
     }
 
-    if (g_markingTimes)
+    if (MarkingTimes())
     {
         Mark(this);
     }
@@ -280,6 +280,12 @@
     resolution->unit = unit;
 }
 
+bool
+Time::MarkingTimes()
+{
+    return (g_markingTimes != nullptr);
+}
+
 // static
 void
 Time::ClearMarkedTimes()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/traced-value.h ns-3.46/src/core/model/traced-value.h
--- ns-3.45/src/core/model/traced-value.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/model/traced-value.h	2025-10-01 18:46:32.000000000 -0700
@@ -501,13 +501,10 @@
  * @returns The result of doing the operator on
  *     the underlying values.
  */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator+(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() + rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x+x");
     return TracedValue<decltype(lhs.Get() + rhs.Get())>(lhs.Get() + rhs.Get());
@@ -532,13 +529,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator-(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() - rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x-x");
     return TracedValue<decltype(lhs.Get() - rhs.Get())>(lhs.Get() - rhs.Get());
@@ -563,13 +557,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator*(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() * rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x*x");
     return TracedValue<decltype(lhs.Get() * rhs.Get())>(lhs.Get() * rhs.Get());
@@ -594,13 +585,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator/(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() / rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x/x");
     return TracedValue<decltype(lhs.Get() / rhs.Get())>(lhs.Get() / rhs.Get());
@@ -625,13 +613,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator%(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() % rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x%x");
     return TracedValue<decltype(lhs.Get() % rhs.Get())>(lhs.Get() % rhs.Get());
@@ -656,13 +641,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator^(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() ^ rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x^x");
     return TracedValue<decltype(lhs.Get() ^ rhs.Get())>(lhs.Get() ^ rhs.Get());
@@ -687,13 +669,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator|(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() | rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x|x");
     return TracedValue<decltype(lhs.Get() | rhs.Get())>(lhs.Get() | rhs.Get());
@@ -718,13 +697,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator&(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() & rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x&x");
     return TracedValue<decltype(lhs.Get() & rhs.Get())>(lhs.Get() & rhs.Get());
@@ -749,13 +725,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator<<(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() << rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x<<x");
     return TracedValue<decltype(lhs.Get() << rhs.Get())>(lhs.Get() << rhs.Get());
@@ -780,13 +753,10 @@
 }
 
 /** @copydoc operator+(const TracedValue<T>&lhs,const TracedValue<U>&rhs) */
-// clang-format off
-// Clang-format guard needed for version 18 only
 template <typename T, typename U>
 auto
 operator>>(const TracedValue<T>& lhs, const TracedValue<U>& rhs)
     -> TracedValue<decltype(lhs.Get() >> rhs.Get())>
-// clang-format on
 {
     TRACED_VALUE_DEBUG("x>>x");
     return TracedValue<decltype(lhs.Get() >> rhs.Get())>(lhs.Get() >> rhs.Get());
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/trace-source-accessor.h ns-3.46/src/core/model/trace-source-accessor.h
--- ns-3.45/src/core/model/trace-source-accessor.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/model/trace-source-accessor.h	2025-10-01 18:46:32.000000000 -0700
@@ -136,12 +136,9 @@
  * @param [in] a The underlying data value.
  * @returns The TraceSourceAccessor
  */
-// clang-format off
-// Clang-format guard needed for versions <= 18
 template <typename T, typename SOURCE>
 Ptr<const TraceSourceAccessor>
 DoMakeTraceSourceAccessor(SOURCE T::* a)
-// clang-format on
 {
     struct Accessor : public TraceSourceAccessor
     {
@@ -189,10 +186,7 @@
             return true;
         }
 
-        // clang-format off
-        // Clang-format guard needed for versions <= 18
         SOURCE T::* m_source;
-        // clang-format on
     }* accessor = new Accessor();
 
     accessor->m_source = a;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/version.cache ns-3.46/src/core/model/version.cache
--- ns-3.45/src/core/model/version.cache	2025-06-01 20:35:16.000000000 -0700
+++ ns-3.46/src/core/model/version.cache	2025-10-01 18:47:01.000000000 -0700
@@ -1,10 +1,10 @@
-CLOSEST_TAG = '"ns-3.45"'
-VERSION_COMMIT_HASH = '"g4059af204"'
+CLOSEST_TAG = '"ns-3.46"'
+VERSION_COMMIT_HASH = '"gea50b72ab"'
 VERSION_DIRTY_FLAG = '0'
 VERSION_MAJOR = '3'
-VERSION_MINOR = '45'
+VERSION_MINOR = '46'
 VERSION_PATCH = '0'
 VERSION_RELEASE_CANDIDATE = '""'
-VERSION_TAG = '"ns-3.45"'
+VERSION_TAG = '"ns-3.46"'
 VERSION_TAG_DISTANCE = '0'
 VERSION_BUILD_PROFILE = 'default'
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/model/version.h ns-3.46/src/core/model/version.h
--- ns-3.45/src/core/model/version.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/model/version.h	2025-10-01 18:46:32.000000000 -0700
@@ -91,7 +91,7 @@
 {
   public:
     /**
-     * Returns the ns-3 version tag of the closest ancestor commit.
+     * Returns the ns-3 version tag of the closest ancestor commit prefixed with ns-3.
      *
      * The format of the tag is
      * @verbatim ns3-<major>.<minor>[.patch] \endverbatim
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/test/attribute-test-suite.cc ns-3.46/src/core/test/attribute-test-suite.cc
--- ns-3.45/src/core/test/attribute-test-suite.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/test/attribute-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
@@ -1880,7 +1880,7 @@
     // Now, lets create an Object of type Derived and set the local Ptr to point
     // to that object.  We can then set the PointerValue Attribute to that Ptr.
     //
-    derived = Create<Derived>();
+    derived = CreateObject<Derived>();
     bool ok = p->SetAttributeFailSafe("Pointer", PointerValue(derived));
     NS_TEST_ASSERT_MSG_EQ(ok,
                           true,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/core/test/callback-test-suite.cc ns-3.46/src/core/test/callback-test-suite.cc
--- ns-3.45/src/core/test/callback-test-suite.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/core/test/callback-test-suite.cc	2025-10-01 18:46:32.000000000 -0700
@@ -1013,25 +1013,20 @@
  * Test function - does nothing.
  * @{
  */
-
-// clang-format off
-
-void TestFZero() {}
-void TestFOne(int) {}
-void TestFTwo(int, int) {}
-void TestFThree(int, int, int) {}
-void TestFFour(int, int, int, int) {}
-void TestFFive(int, int, int, int, int) {}
-void TestFSix(int, int, int, int, int, int) {}
-
-void TestFROne(int&) {}
-void TestFRTwo(int&, int&) {}
-void TestFRThree(int&, int&, int&) {}
-void TestFRFour(int&, int&, int&, int&) {}
-void TestFRFive(int&, int&, int&, int&, int&) {}
-void TestFRSix(int&, int&, int&, int&, int&, int&) {}
-
-// clang-format on
+void TestFZero() {};
+void TestFOne(int) {};
+void TestFTwo(int, int) {};
+void TestFThree(int, int, int) {};
+void TestFFour(int, int, int, int) {};
+void TestFFive(int, int, int, int, int) {};
+void TestFSix(int, int, int, int, int, int) {};
+
+void TestFROne(int&) {};
+void TestFRTwo(int&, int&) {};
+void TestFRThree(int&, int&, int&) {};
+void TestFRFour(int&, int&, int&, int&) {};
+void TestFRFive(int&, int&, int&, int&, int&) {};
+void TestFRSix(int&, int&, int&, int&, int&, int&) {};
 
 /** @} */
 
@@ -1080,25 +1075,20 @@
      * Test function - does nothing.
      * @{
      */
-
-    // clang-format off
-
-    void TestZero() {}
-    void TestOne(int) {}
-    void TestTwo(int, int) {}
-    void TestThree(int, int, int) {}
-    void TestFour(int, int, int, int) {}
-    void TestFive(int, int, int, int, int) {}
-    void TestSix(int, int, int, int, int, int) {}
-    void TestCZero() const  {}
-    void TestCOne(int) const  {}
-    void TestCTwo(int, int) const  {}
-    void TestCThree(int, int, int) const  {}
-    void TestCFour(int, int, int, int) const  {}
-    void TestCFive(int, int, int, int, int) const  {}
-    void TestCSix(int, int, int, int, int, int) const  {}
-
-    // clang-format on
+    void TestZero() {};
+    void TestOne(int) {};
+    void TestTwo(int, int) {};
+    void TestThree(int, int, int) {};
+    void TestFour(int, int, int, int) {};
+    void TestFive(int, int, int, int, int) {};
+    void TestSix(int, int, int, int, int, int) {};
+    void TestCZero() const {};
+    void TestCOne(int) const {};
+    void TestCTwo(int, int) const {};
+    void TestCThree(int, int, int) const {};
+    void TestCFour(int, int, int, int) const {};
+    void TestCFive(int, int, int, int, int) const {};
+    void TestCSix(int, int, int, int, int, int) const {};
 
     /** @} */
 
